'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.core = undefined;

var _spawnHelper = require('../utils/spawnHelper');

var _spawnHelper2 = _interopRequireDefault(_spawnHelper);

var _execHelper = require('../utils/execHelper');

var _execHelper2 = _interopRequireDefault(_execHelper);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var core = exports.core = {
  checkout: function checkout() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    var callback = arguments[2];
    return (0, _spawnHelper2.default)('git lfs checkout ' + args, options, callback);
  },
  clone: function clone() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    var callback = arguments[2];
    return (0, _spawnHelper2.default)('git lfs clone ' + args, options, callback);
  },
  fetch: function fetch() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    var callback = arguments[2];
    return (0, _spawnHelper2.default)('git lfs fetch ' + args, options, callback);
  },
  fsck: function fsck(options) {
    return (0, _execHelper2.default)('git lfs fsck', null, options);
  },
  git: function git() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _spawnHelper2.default)('git ' + args, options);
  },
  install: function install() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs install ' + args, null, options);
  },
  logs: function logs() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs logs ' + args, null, options);
  },
  ls: function ls() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs ls-files ' + args, null, options);
  },
  pointer: function pointer() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs pointer ' + args, null, options);
  },
  prune: function prune() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs prune ' + args, null, options);
  },
  pull: function pull() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    var callback = arguments[2];
    return (0, _spawnHelper2.default)('git lfs pull ' + args, options, callback);
  },
  push: function push() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    var callback = arguments[2];
    return (0, _spawnHelper2.default)('git lfs push ' + args, options, callback);
  },
  status: function status() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs status ' + args, null, options);
  },
  track: function track() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs track ' + args, null, options);
  },
  untrack: function untrack() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs untrack ' + args, null, options);
  },
  update: function update() {
    var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    var options = arguments[1];
    return (0, _execHelper2.default)('git lfs update ' + args, null, options);
  },
  version: function version(options) {
    return (0, _execHelper2.default)('git lfs version', null, options);
  }
};